Bug 704808 - SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the blk_file /dev/dm-0.
Summary: SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the blk_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:3cb1ce78691...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-15 07:16 UTC by Martin Kho
Modified: 2011-05-25 03:30 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.16-24.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 03:30:25 UTC


Attachments (Terms of Use)

Description Martin Kho 2011-05-15 07:16:30 UTC
SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the blk_file /dev/dm-0.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that colord should be allowed getattr access on the dm-0 blk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep colord /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:colord_t:s0-s0:c0.c1023
Target Context                system_u:object_r:fixed_disk_device_t:s0
Target Objects                /dev/dm-0 [ blk_file ]
Source                        colord
Source Path                   /usr/libexec/colord
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           colord-0.1.7-1.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-23.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.38.6-26.rc1.fc15.x86_64 #1 SMP Mon May 9
                              20:45:15 UTC 2011 x86_64 x86_64
Alert Count                   1
First Seen                    Sun 15 May 2011 07:13:00 AM EDT
Last Seen                     Sun 15 May 2011 07:13:00 AM EDT
Local ID                      4889a7ee-1ec5-499e-896c-6068a7b80570

Raw Audit Messages
type=AVC msg=audit(1305457980.982:51): avc:  denied  { getattr } for  pid=1984 comm="colord" path="/dev/dm-0" dev=devtmpfs ino=7653 scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fixed_disk_device_t:s0 tclass=blk_file


type=SYSCALL msg=audit(1305457980.982:51): arch=x86_64 syscall=stat success=yes exit=0 a0=7fcbd1adab6f a1=7fff5bd4b250 a2=7fff5bd4b250 a3=0 items=0 ppid=1 pid=1984 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0-s0:c0.c1023 key=(null)

Hash: colord,colord_t,fixed_disk_device_t,blk_file,getattr

audit2allow

#============= colord_t ==============
allow colord_t fixed_disk_device_t:blk_file getattr;

audit2allow -R

#============= colord_t ==============
allow colord_t fixed_disk_device_t:blk_file getattr;

Comment 1 Martin Kho 2011-05-15 07:24:28 UTC
Hi,

This message appears when I log in into Fedora 15 KDE LiveCD final rc3 [1] running from an USB stick.


Martin Kho

[1] http://serverbeach1.fedoraproject.org/pub/alt/stage/15.RC3/Live/x86_64/

Comment 2 Daniel Walsh 2011-05-17 09:10:52 UTC
Miroslav add

storage_getattr_fixed_disk_dev(colord_t)

Comment 3 Miroslav Grepl 2011-05-17 12:57:12 UTC
Fixed in selinux-policy-3.9.16-24.fc15.

Comment 4 Fedora Update System 2011-05-17 16:12:31 UTC
selinux-policy-3.9.16-24.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-24.fc15

Comment 5 Martin Kho 2011-05-17 16:38:44 UTC
Hi,

The update solves the issue. The report can be closed.

Thanks,

Martin Kho

Comment 6 Miroslav Grepl 2011-05-18 10:55:49 UTC
Could you update karma.

Comment 7 Fedora Update System 2011-05-18 18:41:14 UTC
Package selinux-policy-3.9.16-24.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-24.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-24.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-05-25 03:29:33 UTC
selinux-policy-3.9.16-24.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.